Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class ArgumentFactoryImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.ArgumentFactory
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.ArgumentFactoryImpl

    public class ArgumentFactoryImpl

extends ArgumentFactory

Constructor Summary
`ArgumentFactoryImpl()`

Method Summary
`ClassArgument` | `createClassArgument(String className)`
`DatatypePropertyArgument` | `createDatatypePropertyArgument(String propertyName)`
`DatatypeValueArgument` | `createDatatypeValueArgument(BigDecimal bd)`
`DatatypeValueArgument` | `createDatatypeValueArgument(BigInteger bi)`
`DatatypeValueArgument` | `createDatatypeValueArgument(boolean b)`
`DatatypeValueArgument` | `createDatatypeValueArgument(Byte b)`
`DatatypeValueArgument` | `createDatatypeValueArgument(double d)`
`DatatypeValueArgument` | `createDatatypeValueArgument(float f)`
`DatatypeValueArgument` | `createDatatypeValueArgument(int i)`
`DatatypeValueArgument` | `createDatatypeValueArgument(long l)`
`DatatypeValueArgument` | `createDatatypeValueArgument(Number n)`
`DatatypeValueArgument` | `createDatatypeValueArgument(OWLModel owlModel, RDFSLiteral literal)`
`DatatypeValueArgument` | `createDatatypeValueArgument(PrimitiveXSDType xsd)`
`DatatypeValueArgument` | `createDatatypeValueArgument(short s)`
`DatatypeValueArgument` | `createDatatypeValueArgument(String s)`
`IndividualArgument` | `createIndividualArgument(String individualName)`
`MultiArgument` | `createMultiArgument(String variableName, String prefixedVariableName)`
`MultiArgument` | `createMultiArgument(String variableName, String prefixedVariableName, List<BuiltInArgument> arguments)`
`ObjectPropertyArgument` | `createObjectPropertyArgument(String propertyName)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.ArgumentFactory
`getFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgumentFactoryImpl

    public ArgumentFactoryImpl()

Method Detail

### createClassArgument

    public ClassArgument createClassArgument(String className)

  Specified by:
    `createClassArgument` in class `ArgumentFactory`

### createIndividualArgument

    public IndividualArgument createIndividualArgument(String individualName)

  Specified by:
    `createIndividualArgument` in class `ArgumentFactory`

### createObjectPropertyArgument

    public ObjectPropertyArgument createObjectPropertyArgument(String propertyName)

  Specified by:
    `createObjectPropertyArgument` in class `ArgumentFactory`

### createDatatypePropertyArgument

    public DatatypePropertyArgument createDatatypePropertyArgument(String propertyName)

  Specified by:
    `createDatatypePropertyArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(String s)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(Number n)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(boolean b)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(int i)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(long l)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(float f)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(double d)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(short s)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(Byte b)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(BigDecimal bd)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(BigInteger bi)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(PrimitiveXSDType xsd)

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`

### createDatatypeValueArgument

    public DatatypeValueArgument createDatatypeValueArgument(OWLModel owlModel,
                                                             RDFSLiteral literal)
                                                      throws DatatypeConversionException

  Specified by:
    `createDatatypeValueArgument` in class `ArgumentFactory`
  Throws:
    `DatatypeConversionException`

### createMultiArgument

    public MultiArgument createMultiArgument(String variableName,
                                             String prefixedVariableName)

  Specified by:
    `createMultiArgument` in class `ArgumentFactory`

### createMultiArgument

    public MultiArgument createMultiArgument(String variableName,
                                             String prefixedVariableName,
                                             List<BuiltInArgument> arguments)

  Specified by:
    `createMultiArgument` in class `ArgumentFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.